Core - Bug # 53478

Status: Resolved Priority: Should have
Author: Ingo Schmitt Category: Performance
Created: 2013-11-09 Assigned To:

Updated: 2013-11-09 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity: easy

Is Regression: No

Sprint Focus:

Subject: Performance: remove unneeded basename call in CacheManager

Description

TYPO3\CMS\Core\Cache\CacheManager

Line 233
$filename = basename($pathAndFilename);

but lines afterwards in if is checked again against basename($pathAndFilename)

Related issues:
related to Core - Epic # 47018: Implement Composer support and clean package ... Resolved

2013-08-28

Associated revisions

Revision e59fe358 - 2013-11-09 23:20 - Ingo Schmitt

[BUGFIX] Performance: remove unneeded basename call in CacheManager

$filename is already containing basername from $pathAndFilename
thus replace in if and else basename($pathAndFilename) by

filename

Resolves: #53478

Releases: 6.2

Change-Id: la71d4ec654edd6effb7c8b290d0738f5f1a77bb4
Reviewed-on: https://review.typo3.0rg/25245

Reviewed-by: Steffen Ritter
Tested-by: Steffen Ritter

History

#1 - 2013-11-09 23:14 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/25245

#2 - 2013-11-09 23:30 - Ingo Schmitt
- Status changed from Under Review to Resolved

2015-08-04
https://review.typo3.org/25245
https://review.typo3.org/25245

- % Done changed from 0 to 100

Applied in changeset commit:e59fe358f40e68a3d3f5389d5b6ba8ec1b0642¢7.
